Bug 88762 - Orca incorrectly announces paragraph indentation when using the get attributes "orca+f" keyboard shortcut
Summary: Orca incorrectly announces paragraph indentation when using the get attribute...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords: accessibility
Depends on:
Blocks: a11y-Linux
  Show dependency treegraph
 
Reported: 2015-01-23 21:33 UTC by am_dxer
Modified: 2017-05-30 15:48 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
random test document (13.31 KB, application/vnd.oasis.opendocument.text)
2016-05-06 13:29 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description am_dxer 2015-01-23 21:33:21 UTC
When indenting the first line of a paragraph through the paragraph settings dialog in the format menu, orca says the text is indented when I use the "orca+f" keyboard command even if I am not on the first line of the paragraph. Orca should only announce this indent when on the first line of the paragraph.
Comment 1 Robinson Tryon (qubit) 2015-12-10 03:37:46 UTC
Migrating Whiteboard tags to Keywords: (a11y -> accessibility)
Comment 2 Aron Budea 2016-05-06 13:29:54 UTC
Created attachment 124882 [details]
random test document

Reproduced. Attaching a sample document.

In Pararaph settings I set first line indentation to 0.28". I also set before text indentation to 0.1".
This is what the screen reader says for characters in any line, pressing Orca-F: "Size 12, Family Name Liberation Serif, Indent 7.11 mm, Paragraph Style Default Style" etc...

I'm not entirely sure how it's supposed to work, is it fine that before text indentation is disregarded? It certainly announces the first line indent for each line (the indent is announced in lines after a line break, too).

Another interesting thing to note is that while in this particular installation I used imperial units to specify the indentation, the reader announces it in metric. Is that a bug, or separate settings?

OS: Ubuntu 15.10

LO Version: 5.0.5.2
Build ID: 1:5.0.5~rc2-0ubuntu2
Locale: en-US (en_US.UTF-8)
Comment 3 QA Administrators 2017-05-22 13:38:58 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522
Comment 4 Alex ARNAUD 2017-05-30 15:48:35 UTC
Dear all,

The issue is still present on LibreOfficeDev 5.5 from 2017-05-28.

Best regards.